<?php
/***************************************************************************
 *   Copyright (C) 2008 by oscim   Project lossim                          *
 *   a@oscim.fr                                                            *
 *       [created : 14.03.2008, 18:50:39] @oscim                           *
 ***************************************************************************/

 function post_hidden($post){
 	while ($r=each($post))
		if ($r['key'] !='boutton') print ("<input type='hidden' name='".$r['key']."' value='".$r['value']."' />");
 }
 function nett_acen($data){
	$data= str_replace("é", "&eacute;", "$data");
	$data= str_replace("è", "&egrave;", "$data");
	$data= str_replace("ê", "&ecirc;", "$data");
	$data= str_replace("ë", "&euml;", "$data");
	$data= str_replace("û", "&ucirc;", "$data");
	$data= str_replace("ü", "&uuml;", "$data");
	$data= str_replace("ù", "&ugrave;", "$data");
	$data= str_replace("ç", "&ccedil;", "$data");
	$data= str_replace("à", "&agrave;", "$data");
	$data= str_replace("â", "&acirc;", "$data");
	$data= str_replace("ô", "&ocirc;", "$data");
	$data= str_replace("î", "&icirc;", "$data");
	$data= str_replace("ï", "&iuml;", "$data");
	$data= str_replace("’", "'", "$data");
	$data= str_replace("«", "&laquo;", "$data");
	$data= str_replace("»", "&raquo;", "$data");
	$data= str_replace("…", "...", "$data");
	$data= str_replace("m²", "m&sup2;", "$data");
	$data= str_replace("²", "&sup2;", "$data");
	$data= str_replace("€", "&euro;", "$data");
	$data= str_replace("\r\n", "<br />", "$data");
	$data= str_replace("\n\r", "<br />", "$data");
	$data= str_replace("\r", "<br />", "$data");
	return $data;
}

function destination ($url_base){
	$vrai_path=$_SERVER['REQUEST_URI'];
	$data= str_replace("$url_base", "", "$vrai_path");
	$data= str_replace("?", "", "$data");
	if (!empty($data)) return $data;
	else return $data="";
}
 ?>

